package com.yd.dal.service.customer;

import com.yd.dal.entity.customer.AclCustomerFortuneStatistic;

import java.util.List;

/**
 * @author xxy
 */
public interface AclCustomerFortuneStatisticDALService {
    /**
     * 通过customerIds查询静态表
     * @param customerIds customerIds
     * @return 列表
     */
    List<AclCustomerFortuneStatistic> findByCustomerIds(Long[] customerIds);

    void updateAll(List<AclCustomerFortuneStatistic> customerFortuneStatistics);

    AclCustomerFortuneStatistic findByCustomerId(Long customerId);

    void update(AclCustomerFortuneStatistic statistic);
}
